Bug 1294940 - OpenShiftBuildVerifier should not have booleanRadio for verbose logging
OpenShiftBuildVerifier should not have booleanRadio for verbose logging
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Image (Show other bugs)
3.x
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Gabe Montero
Wang Haoran
:
Depends On: 1292021 1312826
Blocks: 1308390
  Show dependency treegraph
 
Reported: 2015-12-31 01:51 EST by Ari LiVigni
Modified: 2016-05-12 13:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1292021
: 1308390 (view as bug list)
Environment:
Last Closed: 2016-05-12 13:14:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
image of UI build step (26.29 KB, image/png)
2016-01-10 23:56 EST, wewang
no flags Details

  None (edit)
Comment 1 Gabe Montero 2016-01-03 14:57:48 EST
Thanks for the catch.  I have update to the config.jelly file for OpenShiftBuildVerifier in hand.

I'll move this defect onto QA once new versions of the jenkins images are out.  There are a couple of issues opened upstream that I'm looking to include in the next update, as well as the the 1.3 -> 1.4 progression for the RHEL image that still needs to be copmleted and verified.

thanks.
Comment 2 Gabe Montero 2016-01-07 10:24:14 EST
Version 1.0.5 of the plugin, which has the fix for this bug among others, is not available at the Jenkins Update center (https://updates.jenkins-ci.org/download/plugins/openshift-pipeline/1.0.5/openshift-pipeline.hpi).

We have started the process of getting the centos and rhel jenkins images updated.

Certainly if QA verification based on installing v1.0.5 directly is sufficient please proceed; otherwise, I'll update this bug once the centos/rhel images are ready.
Comment 3 Gabe Montero 2016-01-08 10:17:54 EST
v1.0.5 of the plugin is now available in both the centos jenkins image on docker.io and the rhel jenkins image on ci.dev.openshift.redhat.com:5000.

Please verify at your convenience.
Comment 4 wewang 2016-01-10 23:56 EST
Created attachment 1113492 [details]
image of UI build step
Comment 5 wewang 2016-01-10 23:57:54 EST
verified in 
Version-Release number of selected component (if applicable):
openshift/jenkins-1-rhel7  0d20b0550ae8
openshift/jenkins-1-centos7 latest

in UI of all build steps,have updated as follow :
Allow for verbose logging during this build step plug-in	YesNo
(see attachment:1113492)

Note You need to log in before you can comment on or make changes to this bug.